<app-nav-bar></app-nav-bar>
<div class="container-general">
  <div class="card-movie" *ngFor="let video of videosList">
    <div class="card-title"> {{video.name}}
    </div>
      <a href="#modalVideoteca{{video.id}}" data-bs-toggle="modal" data-target="#modalVideoteca{{video.id}}"
        data-bs-whatever="@mdo">
        <img class="card-image" [src]=video.image>
      </a>
      <div class="modal fade" id="modalVideoteca{{video.id}}" tabindex="-1" aria-labelledby="modalVideotecaLabel"
        aria-hidden="true">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" id="modalVideotecaLabel">{{video.name}}</h5>
              <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
              <div class="video-container"><iframe [src]="getVideoIframe(video.url)" width="560" height="315"
                  frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture"
                  allowfullscreen></iframe></div>
            </div>
            <div class="video-description">
              {{video.description}}
            </div>

            <div class="boton-video">
              <a [href]="video.url" target="_blank"><button class="btn btn-enlace">Mira el video
                  completo</button></a>
                </div>

          </div>
        </div>
      </div>
  </div>
</div>
